/*****************************************************************************\
* (c) Copyright 2022 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
// ============================================================================
// Include files
// ============================================================================
// GaudiKernel
// ============================================================================
#include "GaudiKernel/StatusCode.h"
// ============================================================================
// local
// ============================================================================
#include "Kernel/ICheckOverlap.h"
#include "Kernel/IDVAlgorithm.h"
#include "Kernel/IDecayFinder.h"
#include "Kernel/IDecayTreeFit.h"
#include "Kernel/IDecodeSimpleDecayString.h"
#include "Kernel/IJetMaker.h"
#include "Kernel/IParticleCombiner.h"
#include "Kernel/IParticleFilter.h"
#include "Kernel/IParticleIsolation.h"
#include "Kernel/IParticleReFitter.h"
#include "Kernel/IParticleValue.h"
#include "Kernel/IParticleVeto.h"
#include "Kernel/IPrintDecay.h"
#include "Kernel/ISetInputParticles.h"
#include "Kernel/ITrackIsolation.h"
#include "Kernel/IVertexFit.h"
// ============================================================================
/** @file
 *  Implementation file for class some interfaces from
 *  Phys/DaVinciInterfaces package
 *  @date 2009-08-15
 *  @author Vanya  BELYAEV Ivan.Belyaev
 */
// ============================================================================

// ============================================================================
// The END
// ============================================================================
