/*****************************************************************************\
* (c) Copyright 2000-2018 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
// ============================================================================
// Include files
// ============================================================================
// Event
// ============================================================================
#include "Event/Particle.h"
// ============================================================================
// LoKi
// ============================================================================
#include "LoKi/IDecay.h"
// ============================================================================
/** @file
 *  Implementation file for class Decays::IDecay
 *  @author Ivan BELYAEV
 *  @date   2009-05-22
 */
// ============================================================================
// virtual & protected destructor
// ============================================================================
Decays::IDecay::~IDecay() {} // virtual & protected destructor
// ============================================================================
// unique interface ID
// ============================================================================
const InterfaceID& Decays::IDecay::interfaceID() // the unique interface ID
{
  static const InterfaceID s_ID( "Decays::IDecay", 1, 0 );
  return s_ID;
}
// ============================================================================

// ============================================================================
// The END
// ============================================================================
