2023-06-22 Rec v35r10
===

This version uses Lbcom [v34r10](../../../../Lbcom/-/tags/v34r10),
LHCb [v54r10](../../../../LHCb/-/tags/v54r10),
Gaudi [v36r14](../../../../Gaudi/-/tags/v36r14),
Detector [v1r14](../../../../Detector/-/tags/v1r14) and
LCG [103](http://lcginfo.cern.ch/release/103/) with ROOT 6.28.00.


This version is released on the `master` branch.
Built relative to Rec [v35r9](/../../tags/v35r9), with the following changes:

### New features ~"new feature"

- ~"MC checking" ~Tuples | Port MCTupleToolTrueSimEffHLT{1,2} -> HltTrueSimEffAlg for HltEfficiencyChecker FunTuple migration, !3415 (@rjhunter)


### Fixes ~"bug fix" ~workaround



### Enhancements ~enhancement

- ~"PV finding" | Allow configuring beamline position in PatPV3DFuture, !3455 (@adudziak)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- Removed empty and unused iccp file in MicroDST, !3448 (@sponce)


### Documentation ~Documentation

- Clean up CONTRIBUTING.md following obsoletion of stripping24-patches branch, !3450 (@cattanem)

### Other

- ~Functors | Add functor representation as comment to compiled functors, !3457 (@mstahl)
- Needed dependency for header added, !3462 (@obuon)
- Throw exception instead of assert on nullptr, !3459 (@rmatev)
- Improve the starting position of vertex fit for T-tracks by using the yz straight line intersection, !3359 (@isanders)
