2023-07-31 Rec v35r13
===

This version uses
Lbcom [v34r13](../../../../Lbcom/-/tags/v34r13),
LHCb [v54r13](../../../../LHCb/-/tags/v54r13),
Detector [v1r17](../../../../Detector/-/tags/v1r17),
Gaudi [v36r16](../../../../Gaudi/-/tags/v36r16) and
LCG [103](http://lcginfo.cern.ch/release/103/) with ROOT 6.28.00.

This version is released on the `master` branch.
Built relative to Rec [v35r12](/../../tags/v35r12), with the following changes:

### New features ~"new feature"



### Fixes ~"bug fix" ~workaround

- Make sure  IDistanceCalculatorHolder and IVertexFitHolder retrieve tool before event loop, !3505 (@graven) [Moore#620]


### Enhancements ~enhancement



### Code cleanups and changes to tests ~modernisation ~cleanup ~testing



### Documentation ~Documentation


### Other

- ~FT ~Monitoring | Update nzs_cluster_monitoring.json ref, !3514 (@jonrob)
- ~FT ~Monitoring | Time-dependent histogram for monitoring SciFi hits, !3499 (@decianm)
- ~RICH | RICH CK Fitter: Avoid running the no-asym fit, with asym parameter fixed, when using the asym option, !3495 (@jonrob)
- ~RICH ~"MC checking" | New RICH algorithm that creates track segments from extended MC info, !3486 (@jonrob)
- ~Functors | Add functors: PERR2 , "fmath.similarity" for error and REQUIRE_CLOSE for floating piont comparision, !3500 (@amathad)
- ~"Event model" ~Persistency | Split track containers (in persistency), !3423 (@mveghel)
- Update References for: LHCb!4127, Rec!3423, Moore!2338, Alignment!394, MooreOnline!268, DaVinci!926, MooreAnalysis!126 based on lhcb-master-mr/8663, !3518 (@lhcbsoft)
- Revert "Merge branch 'recsummary_and_functors' into 'master'", !3508 (@jonrob)
- Do not use deprecated UNLIKELY macro, !3507 (@clemenci)
- FunctionalChargedProtoParticleMaker: Use ranges.size() instead of tracks.size() for # of input track ranges, !3490 (@jonrob)
- Complete the RecSummaryMaker and add corresponding functors, !3332 (@sbelin)
