2023-09-01 Rec v35r16
===

This version uses
Lbcom [v34r16](../../../../Lbcom/-/tags/v34r16),
LHCb [v54r16](../../../../LHCb/-/tags/v54r16),
Detector [v1r19](../../../../Detector/-/tags/v1r19),
Gaudi [v36r16](../../../../Gaudi/-/tags/v36r16) and
LCG [103](http://lcginfo.cern.ch/release/103/) with ROOT 6.28.00.

This version is released on the `master` branch.
Built relative to Rec [v35r15](/../../tags/v35r15), with the following changes:

### New features ~"new feature"

- ~Tracking | PrCheatedUpstreamTracking, !3535 (@gunther)


### Fixes ~"bug fix" ~workaround

- Particle combiner fix debug msg seg fault, !3558 (@jonrob)


### Enhancements ~enhancement

- ~Tracking | Define BegT and EndT states and nodes instead of AtT, !3475 (@ausachov)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~Tracking | Fix PrHybridSeeding counting buffer usage, !3546 (@gunther)
- ~Tracking | Flag for PrGECFilter to skip UT raw banks, !3540 (@gunther)


### Documentation ~Documentation


### Other

- ~FT ~Monitoring | FT: streamline cluster monitors, !3497 (@jheuel)
- ~RICH | Use low level RICH decoded data rather than reco pixels to provide #hits, !3541 (@jonrob)
- ~RICH | Extend support for RICH MC cheated reco from XSIM data, !3543 (@jonrob)
- ~Functors | Add MC PV functor, !3522 (@ldufour)
- ~Monitoring | TrackVertexMonitor twoprong_doca fix, !3208 (@msaur)
- ~Monitoring | Add ECAL energy vs Hits monitoring histograms, !3533 (@samarian)
- Fix RICH data location with MonitorECALEnergyHitsCorrelations, !3553 (@jonrob)
- Use CountIterator from LHCbKernel to avoid code duplication, !3545 (@gunther)
