2024-07-08 Rec v36r11
===

This version uses
Lbcom [v35r11](../../../../Lbcom/-/tags/v35r11),
LHCb [v55r11](../../../../LHCb/-/tags/v55r11),
Gaudi [v38r1](../../../../Gaudi/-/tags/v38r1),
Detector [v1r34](../../../../Detector/-/tags/v1r34) and
LCG [105a](http://lcginfo.cern.ch/release/105a/) with ROOT 6.30.04.

This version is released on the `2024-patches` branch.
Built relative to Rec [v36r10p2](/../../tags/v36r10p2), with the following changes:

### New features ~"new feature"



### Fixes ~"bug fix" ~workaround

- ~Muon ~PID | Fix muonPID tile filling, !3982 (@mveghel)
- Fix bug in velo sensor masking, !3996 (@tmombach)
- Removed this condition that makes the algorithm unusable in the case where the..., !3987 (@gpietrzy)
- Bug fix in fitForward of velo-only Kalman fit, !3954 (@tevans)
- Still apply parametrised scatters in the TMF, !3663 (@ldufour)


### Enhancements ~enhancement

- Prefer perfect forwarding in chain_helper, !3990 (@graven)
- Replace the template class `always_false` with the templated value `always_false_v`, !3989 (@graven)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing



### Documentation ~Documentation


### Other

- ~UT | Force unique UT clusters (for '24 data), !3985 (@ldufour)
- ~Functors | More complete type-erasure for PreparedFunctor and Functor, !3994 (@graven)
- Move ComposedFunctor::prepare implementation into standalone functions, !3993 (@graven)
- Fixed VPHitEfficiencyMonitor, !3992 (@mwaterla)
- Add UT hit error scaling factor as a condition, !3963 (@hawu)
- Add isolation criterion to VertexListRefiner, fix bug in TrackMasterFitter for dd4hep, update in PrKalmanFilter, !3882 (@wouter)
- Track state functors with optional return, !3972 (@mveghel)
- Add option to circumvent sorted cluster assumption in PrStoreUTHits, !3962 (@ldufour)
