2024-09-29 Rec v36r13
===

This version uses
Lbcom [v35r13](../../../../Lbcom/-/tags/v35r13),
LHCb [v55r13](../../../../LHCb/-/tags/v55r13),
Detector [v1r36](../../../../Detector/-/tags/v1r36),
Gaudi [v38r1](../../../../Gaudi/-/tags/v38r1) and
LCG [105a](http://lcginfo.cern.ch/release/105a/) with ROOT 6.30.0.

This version is released on the `2024-patches` branch.
Built relative to Rec [v36r12p2](/../../tags/v36r12p2), with the following changes:

### New features ~"new feature"

- ~Functors | Add HASOWNPV functor and make FILTER work with combination as input, !4008 (@wouter)
- Add track extrapolation Functor, !3491 (@nbehling)


### Fixes ~"bug fix" ~workaround

- ~Calo | CALO GraphClustering : Protect against 'div by 0' when calculating cluster weights, !4056 (@jonrob) [#581,LHCb#370]
- ~Jets | Filter input particles with NaN or Inf values from jet finding inputs, !4048 (@jonrob) [(lhcb/Rec#581,LHCb#370]
- ~"Flavour tagging" | Fix OSElectron and OSVertexCharge tagger, !4025 (@cprouve)
- Ensure unique weights in track versus MCParticle matching, !4068 (@mveghel)
- Fix bug in track refitting to support mixed track types (downstream + long), !4063 (@ldufour)
- Store cloned vertices on TES in DecayTreeFitter, !4035 (@ldufour)
- DecayTreeFitter: Do not override application output level, !4066 (@jonrob)


### Enhancements ~enhancement

- ~Functors | Add support for functors which are constexpr instances instead of types, !4053 (@graven)
- ~Functors | Remove literals from generated functor code, !4041 (@graven) [#313]
- ~Functors | More improvements of functor implementation, !4033 (@graven)
- Add properties for cuts on initial momentum / pt for PrLongLivedTracking, !4058 (@decianm)
- ~RICH | RICH updates to improve ref index calibration studies, !4062 (@jonrob)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~Tracking ~"PV finding" ~Persistency | Adding monitor of PV tracks relations, !4085 (@mveghel)
- Using Gaudi/Parsers/Factory.h instead of GaudiKernel/ParsersFactory.h, !4076 (@msaur)
- Refactor Monet detector correlation plots and adapt them to ions, !4070 (@samarian)

### Documentation ~Documentation


### Other
