2024-10-20 Rec v36r14
===

This version uses
Lbcom [v35r14](../../../../Lbcom/-/tags/v35r14),
LHCb [v55r14](../../../../LHCb/-/tags/v55r14),
Gaudi [v38r1](../../../../Gaudi/-/tags/v38r1),
Detector [v1r36](../../../../Detector/-/tags/v1r36) and
LCG [105a](http://lcginfo.cern.ch/release/105a/) with ROOT 6.30.04.

This version is released on the `2024-patches` branch.
Built relative to Rec [v36r13](/../../tags/v36r13), with the following changes:

### New features ~"new feature"



### Fixes ~"bug fix" ~workaround

- ~Monitoring | Correction to plume monitoring, !4097 (@raoul)


### Enhancements ~enhancement

- ~Functors | Remove all use of std::integral_constant from functor constructors, !4034 (@graven)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing



### Documentation ~Documentation


### Other

- ~Functors | MassCorr_With_InvMass, !4040 (@jbaptist)
- ~Functors | Add functor to access PV tracks, !4028 (@thadaviz)
- ~Functors | Add new functors for DFEI, !3527 (@sicapell)
- ~"Flavour tagging" | Fix Warning message thrown from within OSVertexChargeTagger, !4067 (@cprouve)
- Fix the issue with decay finder with intermediate identical particles, !4102 (@amathad)
- Migrate walk to LHCb, !4082 (@graven)
- Add binomial counter to VPHitEfficiencyMonitor as a rough check, !4065 (@mwaterla)
- Calo LHCbID handling workaround in HltTrueSimEffAlg to make Hlt1 TrueSim studies possible, !3801 (@vsvintoz)
