2024-05-27 Rec v36r9
===

This version uses
Lbcom [v35r9](../../../../Lbcom/-/tags/v35r9),
LHCb [v55r9](../../../../LHCb/-/tags/v55r9),
Detector [v1r33](../../../../Detector/-/tags/v1r33),
Gaudi [v38r1](../../../../Gaudi/-/tags/v38r1) and
LCG [105a](http://lcginfo.cern.ch/release/105a/) with ROOT 6.30.04.


This version is released on the `2024-patches` branch.
Built relative to Rec [v36r8](/../../tags/v36r8), with the following changes:

### New features ~"new feature"

- Fix state sets among Pr <-> v1 <-> v3 conversion (+ Add filter on CaloMatch relations), !3738 (@gunther) [#519,Moore#657]


### Fixes ~"bug fix" ~workaround

- Fix formatting on 2024-patches, !3916 (@graven)


### Enhancements ~enhancement

- ~VP ~Monitoring | Update TrackVPOverlapMonitor.cpp, !3471 (@hyeung)
- ParticleCombiner use local CheckOverlap implementation, !3941 (@gunther) [Moore#773,MooreOnline#77]


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~"Flavour tagging" | Use more intuitive names for FlavourTagsMerger inputs and outputs, !3799 (@cprouve)
- Follow up to !3845 - streamline FitResult dispatching, !3898 (@graven)


### Documentation ~Documentation

- Add 2024-patches to CONTRIBUTING.md, !3873 (@cmarinbe)

### Other

- ~RICH | Tighten sanity check a little in RichCKResolutionFitter.h, !3938 (@jonrob)
- ~Persistency | Add machinery for cluster persistency, !3708 (@ldufour)
- Add missing cov functor for four-momentum, !3921 (@jzhuo)
