2025-01-24 Rec v37r1
===

This version uses
Lbcom [v36r2](../../../../Lbcom/-/tags/v36r2),
LHCb [v56r2](../../../../LHCb/-/tags/v56r2),
Gaudi [v39r2](../../../../Gaudi/-/tags/v39r2),
Detector [v2r1](../../../../Detector/-/tags/v2r1) and
LCG [105c](http://lcginfo.cern.ch/release/105c/) with ROOT 6.30.08.

This version is released on the `master` branch.
Built relative to Rec [v37r0](/../../tags/v37r0), with the following changes:


### Fixes ~"bug fix" ~workaround

- Avoid spurious copy of MCVertex, !4206 (@graven)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~RICH | Make RICH test ROOT filenames test specific, !4219 (@jonrob)
- ~RICH | RichDetectorHits: Remove workarounds for Gaudi < v39, !4220 (@jonrob)
- ~Functors | Remove CombinationFromComposite and its support code, !4178 (@graven)


### Other

- ~FT | Improve track interpolator, !4230 (@yaz)
- ~FT | Adapt interpolator to PrKalmanFitResult, !4123 (@yaz)
- ~Functors | Make adapted functors' mask requirement transitive, !4210 (@graven)
- ~Functors | Fix OWNPVCORRM functor, !4201 (@tfulghes)
- ~Monitoring | Update of TrackVertexMonitor and TrackParticleMonitor for alignment, !4119 (@wouter)
- ~Monitoring | Revive the UTTrackMonitor with today's cluster types, !3806 (@ldufour) [TELL-1]
- Fixed Histogram paths in TrackResChecker when split_type is False, !4234 (@sponce)
- Update References for: LHCb!4840, Moore!4195 based on lhcb-master-mr/12236, !4225 (@lhcbsoft)
- Update clang-format and switch to Ruff for Python linting and formatting, !4224 (@clemenci)
- Fixed bad ref file for test_extrapolators, !4222 (@sponce)
- Dropped temporary ref files introduced for the move to Gaudi v39r2 and now useless, !4221 (@sponce)
- Ref update for move to Gaudi v39r2, !4218 (@sponce)
- Dropped usage of GaudiHistoAlg in Rec, replace it with new Histograms, !4200 (@sponce)
- Improvements for matching downstream composites to Velo tracks, !4141 (@mstahl) [DP-2023]
- Fixed ref files of rich decoding for v3 platforms, !4214 (@sponce)
- Update References for: Detector!288, LHCb!3757, Rec!3107, Moore!1758 based on lhcb-master-mr/12160, !4212 (@lhcbsoft)
- Rich PID ntuple creation software, !4181 (@seaso)
- Implements VeloKalman for V1 tracks, !4113 (@ahennequ)
- Refit RecVertices based on relation table, !4081 (@ldufour)
- Modernized Calo monitoring and dropped MoniAlg, !3107 (@sponce)
- Update References for: LHCb!4799 based on lhcb-master-mr/12124, !4204 (@lhcbsoft)
- Update References for: LHCb!4791 based on lhcb-master-mr/12110, !4203 (@lhcbsoft)
