2025-02-13 Rec v37r2
===

This version uses
Lbcom [v36r3](../../../../Lbcom/-/tags/v36r3),
LHCb [v56r3](../../../../LHCb/-/tags/v56r3),
Gaudi [v39r2](../../../../Gaudi/-/tags/v39r2),
Detector [v2r3](../../../../Detector/-/tags/v2r3) and
LCG [105c](http://lcginfo.cern.ch/release/105c/) with ROOT 6.30.08.


This version is released on the `master` branch.
Built relative to Rec [v37r1](/../../tags/v37r1), with the following changes:


### Enhancements ~enhancement

- ~Tracking | PrVeloUT fully moving to SOACollections, !3399 (@gunther) [#456]


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~FT | Extend timeout for FT nzs_digit_monitoring test to 1200 to cover dbg builds, !4245 (@jonrob)
- ~Build | Replace gaudi_add_tests(pytest...) with gaudi_add_pytest(...), !4243 (@clemenci) [gaudi/Gaudi#354]


### Other

- ~FT | FT Beam Time Analysis, !3585 (@chishuai)
- ~RICH | Adapt RichFutureRecSys/examples/RichFuture.py to new options format, !4248 (@jonrob)
- ~Functors | Suppress psabi compiler notes on ARM/GCC functor builds, !4246 (@jonrob)
- ~Monitoring | Add a map of the SciFi hit efficiency, !4130 (@yihou)
- Update References for: LHCb!4913, Moore!4327, DaVinci!1230 based on lhcb-master-mr/12587, !4270 (@lhcbsoft)
- Update References for: LHCb!4925 based on lhcb-master-mr/12476, !4262 (@lhcbsoft)
- Update References for: Rec!4258 based on lhcb-master-mr/12456, !4260 (@lhcbsoft)
- Fixed test_decayfinder for undefined behavior, !4259 (@sponce)
- Update TestFileDB tag for RICH 2023 data tests, !4258 (@jonrob)
- New flag in TrackParticleMonitor to include 2D histograms, !4247 (@miruizdi)
- Synchronize master branch with 2024-patches, !4155 (@clemenci)
- Eta distribution of track residuals added to FTTrackMonitor, !3813 (@miruizdi)
- Add dependencies to be able to collect pytest tests in LoKiPhys, !4254 (@clemenci)
- Update References for: Detector!667 based on lhcb-master-mr/12409, !4242 (@lhcbsoft)
- Add track error to in sensor check, !4213 (@mwaterla)
- Fix MuonUT truthmatching in PrTrackAssociator, !4194 (@decianm)
- Algorithm to apply a global coordinate transform to PVs, !4139 (@ldufour)
- Add some additional arm specific ref files, !4240 (@jonrob)
