2023-08-24 Rec v35r15
===

This version uses
Lbcom [v34r15](../../../../Lbcom/-/tags/v34r15),
LHCb [v54r15](../../../../LHCb/-/tags/v54r15),
Gaudi [v36r16](../../../../Gaudi/-/tags/v36r16),
Detector [v1r19](../../../../Detector/-/tags/v1r19) and
LCG [103](http://lcginfo.cern.ch/release/103/) with ROOT 6.28.00.

This version is released on the `master` branch.
Built relative to Rec [v35r14](/../../tags/v35r14), with the following changes:

### New features ~"new feature"

- ~RICH | Add RICH 4D reconstruction as an option, !3537 (@jonrob)


### Fixes ~"bug fix" ~workaround



### Enhancements ~enhancement

- ~Composites | Limit the number of passing combinations in ParticleCombiner, !3531 (@mstahl)
- ~Composites | Change the default vertex fitter in FunctionalDiElectronMaker, !3493 (@mramospe) [Moore#585]
- ~Monitoring | Adding more histograms to check the track occupancy across the detector length, !3476 (@tmombach)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing



### Documentation ~Documentation


### Other

- ~Tracking | TrackMasterFitter: Disable material corrections with dd4hep as currently not supported, !3529 (@jonrob) [#500]
- ~Tracking ~UT | PrAddUTHitsTool: Remove redundant (duplicate) ConditionAccessorHolder<T> from inheritance, !3530 (@jonrob) [Moore#635]
- ~Monitoring | Extend the correlation histograms such that correlations between all sub detectors are plotted (and adapt some ranges), !3525 (@tmombach)
- KalmanFilterTool: remove duplicated LHCb::DetDesc::ConditionAccessorHolder inheritance, !3542 (@jonrob) [#502]
- Update References for: LHCb!4248 based on lhcb-master-mr/8920, !3536 (@lhcbsoft)
- Update References for: LHCb!4243 based on lhcb-master-mr/8849, !3532 (@lhcbsoft)
- T-tracks CatBoost filter, !3438 (@isanders)
