2024-02-13 Rec v36r1
===

This version uses
Lbcom [v35r1](../../../../Lbcom/-/tags/v35r1),
LHCb [v55r1](../../../../LHCb/-/tags/v55r1),
Detector [v1r26](../../../../Detector/-/tags/v1r26),
Gaudi [v38r0](../../../../Gaudi/-/tags/v38r0) and
LCG [105a](http://lcginfo.cern.ch/release/105a/) .

This version is released on the `master` branch.
Built relative to Rec [v36r0](/../../tags/v36r0), with the following changes:

### New features ~"new feature"

- ~Tracking | Add ISequencerTimerTool handle to tracking algos for easy event-by-event time measurement, !3660 (@gunther)


### Fixes ~"bug fix" ~workaround



### Enhancements ~enhancement



### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~Build | Fixes for build in "super-project" context, !3754 (@clemenci)
- ~Build | Replace CMake command exec_program with execute_process, !3750 (@clemenci)
- Remove last usage of make_MCTrackInfo, !3735 (@graven)


### Documentation ~Documentation

- Fixed documentation of a few functors, !3737 (@tmombach)

### Other

- ~Tracking | PrDebugTrackingLosses calculate radiation length fraction for MCParticle, !3709 (@gunther)
- ~Tracking ~"Event model" ~Persistency | Cleanup duplicate track info in ProtoParticle, !3724 (@mveghel)
- ~Jets | Remove use of LoKi in Jet code, !3703 (@helder)
- Flavor Tagging rename, !3749 (@cprouve)
- Cleanup: remove seemingly unused algorithm, !3746 (@tnanut)
- Revert "Merge branch 'revert-6bb61652' into 'master'", !3745 (@graven)
- #passed counters added to more selection algorithms, !3741 (@dmagdali)
- Revert "Merge branch 'streamline-FunctionalFlavourTagging' into 'master'", !3739 (@sponce)
- Prefer Particle::Range over Particles, !3732 (@graven)
- Adapt to LHCb!4423 - use strong enum for TagResult, !3728 (@graven)
