2024-11-01 Rec v36r16
===

This version uses
Lbcom [v35r16](../../../../Lbcom/-/tags/v35r16),
LHCb [v55r16](../../../../LHCb/-/tags/v55r16),
Detector [v1r36](../../../../Detector/-/tags/v1r36),
Gaudi [v38r1p1](../../../../Gaudi/-/tags/v38r1p1) and
LCG [105a](http://lcginfo.cern.ch/release/105a/) with ROOT 6.30.04.

This version is released on the `2024-patches` branch.
Built relative to Rec [v36r15](/../../tags/v36r15), with the following changes:

### New features ~"new feature"



### Fixes ~"bug fix" ~workaround

- ~Functors | Fix Issue 589: make sure `Child` returns a reference, and not a copy of the child., !4114 (@graven) [#589]
- ~Functors | Fix SHARE_BPV functor to not compare addresses of two pointers, !4107 (@mrudolph)
- ~"Flavour tagging" | Bugfix: Fix the wrong sign of OSelectron tag decision, !4108 (@mfuehrin)


### Enhancements ~enhancement



### Code cleanups and changes to tests ~modernisation ~cleanup ~testing



### Documentation ~Documentation


### Other

- Prepare Rec v36r16, !4120 (@msaur) !WARNING: re-released due to a wrong Gaudi tag
- Minimal changes required to make OfflineVertexFitter threadsafe, !4060 (@graven) [Moore#827]
- Modernize TrackParticleMonitor replacing old-style Gaudi histograms with Gaudi::Accumulators::Histogram, !3878 (@miruizdi)
