2025-03-17 Rec v37r4
===

This version uses
Lbcom [v36r5](../../../../Lbcom/-/tags/v36r5),
LHCb [v56r5](../../../../LHCb/-/tags/v56r5),
Detector [v2r5](../../../../Detector/-/tags/v2r5),
Gaudi [v39r3](../../../../Gaudi/-/tags/v39r3) and
LCG [105c](http://lcginfo.cern.ch/release/105c/) with ROOT 6.30.08.

This version is released on the `master` branch.
Built relative to Rec [v37r3](/../../tags/v37r3), with the following changes:

### New features ~"new feature"



### Fixes ~"bug fix" ~workaround

- ~Functors | Fix bug introduced in Rec!4079, !4281 (@graven)
- Make MuonStandaloneRec work with hits and clusters, !4176 (@decianm)


### Enhancements ~enhancement

- ~Functors | Add LOGGER functor, !4175 (@graven) [#596]


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- Rich: do not specify unnecessary Gaudi::Range_ arguments, !4301 (@graven)


### Documentation ~Documentation


### Other

- ~RICH | Updates for RICH1 resolution investigations, !4229 (@jonrob)
- ~Functors | Require a first `mask_arg_t` argument on prepared functor calls with masks, !4211 (@graven)
- ~Functors | Functors: replace more types with instances, !4079 (@graven)
- FTMonitors: Add arm specific refs for cluster_monitoring tests, !4299 (@jonrob)
- Prefer std::ranges over range::v3, !4295 (@graven)
- Update References for: LHCb!4959 based on lhcb-master-mr/12752, !4287 (@lhcbsoft)
- Update References for: LHCb!4945, Rec!4229, Moore!4378, Panoptes!438 based on lhcb-master-mr/12719, !4282 (@lhcbsoft)
- Add generic accessors for MCVertices, !4276 (@ldufour)
